/*
 * DirCrawler.java
 * Copyright (c) 2004, KTH NADA.
 *
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, see
 * http://opensource.org/licenses/gpl-license.php
 *
 * Martin Hassel, 2004-Oct-20
 * http://www.nada.kth.se/~xmartin/
 */

package moj.util;

import java.io.File;

/**
 *
 * @author  Martin Hassel
 * @version 2004-Oct-20
 */
public class DirCrawler {
	public static void recurseInDirFrom(String dirItem, DirCrawlerHelper helper) {
		File file = new File(dirItem);
		String list[];
		
		// If dirItem is a folder, recurse into folder
		if(file.isDirectory()) {
			list = file.list();
			for(int i = 0; i < list.length; i++)
				recurseInDirFrom(dirItem + File.separatorChar + list[i], helper);
		}

		// If dirItem is a file, process file
		File fileItem = new File(dirItem);
		if(fileItem.isFile())
			helper.doForAll(fileItem);
	}
}
